You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.13, 2003-11-09 03:40:04-02:00, acme@conectiva.com.br
  o NET: introduce sk_flush_backlog


 include/net/sock.h |    2 ++
 net/core/sock.c    |   10 ++++++++++
 2 files changed, 12 insertions(+)


diff -Nru a/include/net/sock.h b/include/net/sock.h
--- a/include/net/sock.h	Sat Nov 15 17:04:03 2003
+++ b/include/net/sock.h	Sat Nov 15 17:04:03 2003
@@ -393,6 +393,8 @@
 	(__skb)->next = NULL;					\
 } while(0)
 
+extern void sk_flush_backlog(struct sock *sk);
+
 /* IP protocol blocks we attach to sockets.
  * socket layer -> transport layer interface
  * transport -> network interface is defined by struct inet_proto
diff -Nru a/net/core/sock.c b/net/core/sock.c
--- a/net/core/sock.c	Sat Nov 15 17:04:03 2003
+++ b/net/core/sock.c	Sat Nov 15 17:04:03 2003
@@ -894,6 +894,16 @@
 	} while((skb = sk->sk_backlog.head) != NULL);
 }
 
+void sk_flush_backlog(struct sock *sk)
+{
+	if (sk->sk_backlog.tail) {
+		release_sock(sk);
+		lock_sock(sk);
+	}
+}
+
+EXPORT_SYMBOL(sk_flush_backlog);
+
 /*
  * Set of default routines for initialising struct proto_ops when
  * the protocol does not support a particular function. In certain

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.13
## Wrapped with gzip_uu ##


M'XL( *-XMC\  \V576_3,!2&K^-?86DW':C)L6/G"W4:&Q,@!JNZ30()J7(<
M;ZF2QBAQ"XCLO^.FL*U=1Z%"@L07EGU\SNOSO%'V\&6CZL01<JK0'GZE&Y,X
M4E=*FLE<N%)/W;2V&R.M[8:7ZZGR%K%>6E"O4J9/W< ER$8,A9$YGJNZ21SB
M^K<KYNLGE3BCDY>7I\]'" T&^#@7U;4Z5P8/!LCH>B[*K#D4)B]UY9I:5,U4
MF:YV>QO:4@!J7TY"'WC0D@!8V$J2$2(841E0%@4,+:0=KLM?S>(3 C$PGT'4
M HUHC%Y@XA)&F,M<XF/P/4(\B.TD89  ZP-- /#&U/@IQ7U 1_CO7N,82:SQ
MNY.+!$\J4^ML)A5NBO%5.6OR<2ID4>IK] 8S8!0-[QJ*^G_X( 0"T,$6^9-*
MEK-,+7A[C9:%F]^_1\RBEL41AU:$($@D1"@I5S(,-_?LD71++MR/.6]92"'<
M*FMQ7NI:+9/(%4T\:BW2V/:6IA$1D4IC&?H6[V9)&U+=Z0E:#O9LY]V'VK>;
M>-?V/>+F1]H' 8ELQAA(RV@8+&W-PA4_^W'"^?_LYX[[&>[7G[MA#3K<T/(=
M;/[:<L04J2]&U16>ZTGVH'ZO,?5,&KRH@9\TQ?XS]+%COF:.[<!W,282Q>%T
M)MU,;38C4&Z'3Z/6CQCA'5T?'M -?DV7P+_$N_R,UO"NW787ME$<8 +H]ZBB
M;\B97.%>4_0/;/"/,->(2;F/[9Y3JU*)1HT7)WJ=#1RGM//["S?HQIKCY/WP
H;'0Q/O_P]NCLM+=>>>F?G[]!F2M9-+/I0,8BI2!3]!W\$?,F>P<     
 
